Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057723 - RHSCL 1.1 - RHEL7 Alpha 1.1 /etc/rpm/macros.rubygems is missing %{gem_extdir_mri}
Summary: RHSCL 1.1 - RHEL7 Alpha 1.1 /etc/rpm/macros.rubygems is missing %{gem_extdir_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: ruby
Version: ruby193
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 1.1
Assignee: Josef Stribny
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 16:49 UTC by Adam Miller
Modified: 2016-01-04 05:52 UTC (History)
4 users (show)

Fixed In Version: ruby193-ruby-1.9.3.484-46.el6,ruby193-ruby-1.9.3.484-46.el7
Doc Type: Enhancement
Doc Text:
Feature: Add %{gem_extdir_mri} macro for better compatibility with ruby200 collection. Reason: ruby200 SCL introduces %{gem_extdir_mri} macro for installing rubygem- binary extensions. Adding this macro for ruby193 SCL ensures better compatibility between these two Ruby collections as well as Fedora, which is already using this macro for some time. Result (if any): Better compatibility with ruby200 SCL and Fedora.
Clone Of:
Environment:
Last Closed: 2014-06-04 07:16:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0619 normal SHIPPED_LIVE ruby193 bug fix and enhancement update 2014-06-04 10:56:19 UTC

Description Adam Miller 2014-01-24 16:49:57 UTC
In the spec file for ruby193-ruby-1.9.3.484-45.el7 there is no entry for %{gem_extdir_mri}

############ BEGIN snippet from ruby.spec ##################
cat >> %{buildroot}%{_root_sysconfdir}/rpm/macros.rubygems%{?scl:.%{scl}} << \EOF
# The RubyGems root folder.
%%gem_dir %%{_datadir}/gems

# Common gem locations and files.
%%gem_instdir %%{gem_dir}/gems/%%{gem_name}-%%{version}
%%gem_extdir %%{_libdir}/gems/exts/%%{gem_name}-%%{version}
%%gem_libdir %%{gem_instdir}/lib
%%gem_cache %%{gem_dir}/cache/%%{gem_name}-%%{version}.gem
%%gem_spec %%{gem_dir}/specifications/%%{gem_name}-%%{version}.gemspec
%%gem_docdir %%{gem_dir}/doc/%%{gem_name}-%%{version}
EOF
############ END snippet from ruby.spec ####################

Upstream documentation lists %{gem_extdir_mri}
https://fedoraproject.org/wiki/Packaging:Ruby#Macros

Comment 2 Vít Ondruch 2014-01-27 11:14:57 UTC
Hi Adam,

Thank you for your report. Yes, that is true that ruby193-ruby is missing %{gem_extdir_mri}, since this macro was introduced in Fedora for Ruby 2.0 and is younger than this collection. But it makes sense to backport if for better compatibility, so we are going to do it.

Comment 3 Josef Stribny 2014-01-27 13:52:43 UTC
Done in ruby193-ruby-1.9.3.484-46.el6, ruby193-ruby-1.9.3.484-46.el7.

Comment 6 errata-xmlrpc 2014-06-04 07:16:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0619.html


Note You need to log in before you can comment on or make changes to this bug.